Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers
Interface MuleDefinitionParserConfiguration

All Known Subinterfaces:
  DynamicAttributeDefinitionParser, MuleChildDefinitionParser, MuleDefinitionParser

All Known Implementing Classes:
  AbstractChildDefinitionParser, AbstractDelegatingDefinitionParser, AbstractFirstResultSerialDefinitionParser, AbstractFlowConstructDefinitionParser, AbstractHierarchicalDefinitionParser, AbstractMuleBeanDefinitionParser, AbstractParallelDelegatingDefinitionParser, AbstractPluggableDelegate, AbstractSerialDelegatingDefinitionParser, AbstractSingleParentFamilyChildDefinitionParser, AbstractSingleParentFamilyDefinitionParser, AddressedEndpointDefinitionParser, AggregatorDefinitionParser, AllAttributeChildDefinitionParser, AttributeListEntryDefinitionParser, AttributeMapDefinitionParser, AttributePropertiesDefinitionParser, AttributeSelectionDefinitionParser, BindingDefinitionParser, BooleanAttributeSelectionDefinitionParser, BridgeDefinitionParser, ByteOrMessageProtocolDefinitionParser, ChildAddressDefinitionParser, ChildDefinitionParser, ChildEndpointDefinitionParser, ChildListDefinitionParser, ChildListEntryDefinitionParser, ChildMapDefinitionParser, ChildMapEntryDefinitionParser, ChildPropertiesDefinitionParser, ChildSingletonMapDefinitionParser, ClientKeyStoreDefinitionParser, ComponentDefinitionParser, ComponentDelegatingDefinitionParser, ConfigurationChildDefinitionParser, ConfigurationDefinitionParser, ConnectionFactoryDefinitionParser, DataObjectDefinitionParser, DefaultNameMuleOrphanDefinitionParser, DefaultThreadingProfileDefinitionParser, DescendentDefinitionParser, ElementInNestedMapDefinitionParser, EndpointPropertyElementDefinitionParser, EndpointRefParser, ExceptionTXFilterDefinitionParser, FilterDefinitionParser, FilterRefDefinitionParser, FlowDefinitionParser, FlowRefDefinitionParser, GenericGlobalEndpointDefinitionParser, GlobalPropertyDefinitionParser, GrandchildDefinitionParser, GroovyRefreshableBeanBuilderParser, IgnoreObjectMethodsDefinitionParser, InboundRouterDefinitionParser, InheritDefinitionParser, InterceptorDefinitionParser, InterceptorStackDefinitionParser, InvokerMessageProcessorDefinitionParser, JmsConnectorDefinitionParser, JmxAgentDefinitionParser, KeyStoreDefinitionParser, ListPropertyDefinitionParser, MapDefinitionParserMutator, MessageEnricherDefinitionParser, MessageFilterDefinitionParser, MessageProcessorChainDefinitionParser, MessageProcessorDefinitionParser, MessagePropertiesTransformerDefinitionParser, ModelDefinitionParser, MuleMQConnectorDefinitionParser, MuleOrphanDefinitionParser, NamedDefinitionParser, NamespaceManagerDefinitionParser, NameTransferDefinitionParser, NestedListDefinitionParser, NestedMapDefinitionParser, NestedMapWithAttributesDefinitionParser, NotificationDefinitionParser, NotificationDisableDefinitionParser, ObjectFactoryDefinitionParser, ObjectFactoryWrapper, OptionalChildDefinitionParser, OrphanAddressDefinitionParser, OrphanDefinitionParser, OrphanEndpointDefinitionParser, OrphanMapDefinitionParser, ParentContextDefinitionParser, ParentDefinitionParser, PoolingProfileDefinitionParser, ProtocolHandlerDefinitionParser, RemoteDispatcherAgentDefinitionParser, ResponseDefinitionParser, RouterDefinitionParser, ScriptComponentDefinitionParser, ScriptDefinitionParser, SecurityFilterDefinitionParser, ServiceDefinitionParser, ServiceOverridesDefinitionParser, ShortcutComponentDefinitionParser, SimpleComponentDefinitionParser, SimplePropertyDefinitionParser, SimpleServiceDefinitionParser, SingleParentFamilyDefinitionParser, SplitterDefinitionParser, StaticComponentDefinitionParser, TestComponentDefinitionParser, TextDefinitionParser, ThreadingProfileDefinitionParser, TransactionConfigDefinitionParser, TransactionDefinitionParser, TransactionManagerDefinitionParser, TransportEndpointDefinitionParser, TransportGlobalEndpointDefinitionParser, TrustStoreDefinitionParser, ValidatorDefinitionParser, WrappingChildDefinitionParser, WSProxyDefinitionParser, XsltTextDefinitionParser, XsltTransformerDefinitionParser

    public interface MuleDefinitionParserConfiguration

See Also:
  `PropertyConfiguration`

Method Summary
`MuleDefinitionParserConfiguration` | `addAlias(String alias, String propertyName)`
`MuleDefinitionParserConfiguration` | `addBeanFlag(String flag)`
`MuleDefinitionParserConfiguration` | `addCollection(String propertyName)`
`MuleDefinitionParserConfiguration` | `addIgnored(String propertyName)`
`MuleDefinitionParserConfiguration` | `addMapping(String propertyName, Map mappings)`
`MuleDefinitionParserConfiguration` | `addMapping(String propertyName, String mappings)`
`MuleDefinitionParserConfiguration` | `addMapping(String propertyName, ValueMap mappings)`
`MuleDefinitionParserConfiguration` | `addReference(String propertyName)`
`MuleDefinitionParserConfiguration` | `registerPostProcessor(PostProcessor postProcessor)` These are appended to existing processors
`MuleDefinitionParserConfiguration` | `registerPreProcessor(PreProcessor preProcessor)` These are prepended to existing processors
`MuleDefinitionParserConfiguration` | `removeIgnored(String propertyName)`
`MuleDefinitionParserConfiguration` | `setIgnoredDefault(boolean ignoreAll)`

Method Detail

### registerPreProcessor

    MuleDefinitionParserConfiguration registerPreProcessor(PreProcessor preProcessor)

  These are prepended to existing processors

  Parameters:
    `preProcessor` -

### registerPostProcessor

    MuleDefinitionParserConfiguration registerPostProcessor(PostProcessor postProcessor)

  These are appended to existing processors

  Parameters:
    `postProcessor` -

### addReference

    MuleDefinitionParserConfiguration addReference(String propertyName)

### addMapping

    MuleDefinitionParserConfiguration addMapping(String propertyName,
                                                 Map mappings)

### addMapping

    MuleDefinitionParserConfiguration addMapping(String propertyName,
                                                 String mappings)

### addMapping

    MuleDefinitionParserConfiguration addMapping(String propertyName,
                                                 ValueMap mappings)

### addAlias

    MuleDefinitionParserConfiguration addAlias(String alias,
                                               String propertyName)

### addCollection

    MuleDefinitionParserConfiguration addCollection(String propertyName)

### addIgnored

    MuleDefinitionParserConfiguration addIgnored(String propertyName)

### removeIgnored

    MuleDefinitionParserConfiguration removeIgnored(String propertyName)

### setIgnoredDefault

    MuleDefinitionParserConfiguration setIgnoredDefault(boolean ignoreAll)

### addBeanFlag

    MuleDefinitionParserConfiguration addBeanFlag(String flag)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.